Public Attributes | List of all members
gap_conn_cmp_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

Connection complete info. More...

`#include <ble_gapc.h>`

## Public Attributes
uint16_t | conhdl
| Connection_Handle. More...
uint16_t | con_interval
| Connection interval. More...
uint16_t | con_latency
| Latency for the connection in number of connection events. More...
uint16_t | sup_to
| Connection supervision timeout. More...
uint8_t | clk_accuracy
| Clock accuracy (0x00: 500 ppm, 0x01: 250 ppm, 0x02: 150 ppm, 0x03: 100 ppm, 0x04: 75 ppm, 0x05:50 ppm, 0x06:30 ppm, 0x07:20 ppm, others: reserved for future use). More...
uint8_t | peer_addr_type
| Peer address type(0x00: Public Device Address, 0x01 : Random Device Address, others: reserved for future use). More...
gap_addr_t | peer_addr
| Peer BT address. More...
gap_ll_role_type_t | ll_role
| Device Role of LL Layer. More...

## Detailed Description

Connection complete info.

Definition at line 377 of file ble_gapc.h.

## Member Data Documentation

## ◆ clk_accuracy

uint8_t gap_conn_cmp_t::clk_accuracy

Clock accuracy (0x00: 500 ppm, 0x01: 250 ppm, 0x02: 150 ppm, 0x03: 100 ppm, 0x04: 75 ppm, 0x05:50 ppm, 0x06:30 ppm, 0x07:20 ppm, others: reserved for future use).

Definition at line 383 of file ble_gapc.h.

## ◆ con_interval

uint16_t gap_conn_cmp_t::con_interval

Connection interval.

Range: 0x0006 to 0x0C80, unit: 1.25 ms, time range: 7.5 ms to 4 s.

Definition at line 380 of file ble_gapc.h.

## ◆ con_latency

uint16_t gap_conn_cmp_t::con_latency

Latency for the connection in number of connection events.

Range: 0x0000 to 0x01F3.

Definition at line 381 of file ble_gapc.h.

## ◆ conhdl

uint16_t gap_conn_cmp_t::conhdl

Connection_Handle.

Range: 0x0000-0x0EFF (all other values reserved for future use).

Definition at line 379 of file ble_gapc.h.

## ◆ ll_role

gap_ll_role_type_t gap_conn_cmp_t::ll_role

Device Role of LL Layer.

Definition at line 387 of file ble_gapc.h.

## ◆ peer_addr

gap_addr_t gap_conn_cmp_t::peer_addr

Peer BT address.

Definition at line 386 of file ble_gapc.h.

## ◆ peer_addr_type

uint8_t gap_conn_cmp_t::peer_addr_type

Peer address type(0x00: Public Device Address, 0x01 : Random Device Address, others: reserved for future use).

Definition at line 385 of file ble_gapc.h.

## ◆ sup_to

uint16_t gap_conn_cmp_t::sup_to

Connection supervision timeout.

Range: 0x000A to 0x0C80, unit: 10 ms, time range: 100 ms to 32 s.

Definition at line 382 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h